package sc;

/**
 * Arithmetic-Logical Unit (en realidad sólo aritmética y muy sencilla).
 *
 * Arquitectura basada en acumulador (como las primeras ALUs)
 * Sólo ejecuta las cuatro operaciones aritméticas básicas.
 * Trabaja con aritmética decimal en base 10.
 *
 * @author German
 * @version 1.0 (oct 2012)
 */
public class ALU {
    private double acumulador=0.0;
    private double registro=0.0;

    double getAcumulador() { return acumulador; }
    void   clear()         { acumulador = 0.0; }
    void   setRegistro(double registro) { this.registro = registro; }
    double suma()          { return acumulador+=registro; }
    double resta()         { return acumulador-=registro; }
    double multiplica()    { return acumulador*=registro; }
    double divide()        { return acumulador/=registro; }
}

